#include <RPlib.h>
#include <ColorSensor.h>

byte Led     = 13;

void setup(){
    Serial.begin(9600);         //シリアルモニタはbaudを9600にして使用してください
    ColorSensor.begin(1000, 0);  //カラーセンサーの積分時間を指定 x0.1[ms]　 値が大きいほどセンサー値の精度が良くなるが、そのぶん時間がかかる　0はゲイン
    pinMode(Led, OUTPUT);
    ColorSensor.led(4);          //LED4（レンズ脇のLED）を点灯させる　レンズ脇LEDはLED4～7　レンズ内部LEDはLED3です　LED0～2は使用しません
}

void loop(){
    if (ColorSensor.colorRead()){
        word clear = ColorSensor.colorClear();         //変数clearに読みとったClear値を入れる　Clear値を条件分岐に使う際はこの文が必要です

        word red   = ColorSensor.colorRed();
        word green = ColorSensor.colorGreen();
        word blue  = ColorSensor.colorBlue();

        ColorSensor.convertHSV(red, green, blue);
        word h = ColorSensor.convertH();               //変数hに読みとった色相値を入れる　色相を条件分岐に使う際はこの文が必要です

        Serial.print("Clear:");                       //シリアルモニタにClear値を表示。色が白に近いほどclear値は大きくなります
        Serial.print(clear);

        Serial.print("  Hue:");                       //シリアルモニタにHue（色相）を表示。最小0、最大360
        Serial.println(h);

        delay(500);                                    //500ミリ秒間隔で数値を更新
    }
}
